<?php

/* DCMS Special
 * Дата последнего редактирования 01.10.2016
 * Модифицировал densnet, POLO75
 */

foreach (array('start', 'compress', 'sess', 'settings', 'db_connect', 'ipua', 'fnc', 'user') as $inc) {
    require_once "../../sys/inc/$inc.php";
}

$cena = "100"; // цена покупки
if (isset($_POST['user_url']) && $_POST['user_url'] != NULL) {
    if (mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `user_url` = '" . ($_POST['user_url']) . "'"), 0) == '0') {
        $user_url = ($_POST['user_url']);
        if (preg_match("#[а-я]+#ui", $_POST['user_url']))
            $err[] = 'Разрешается использовать символы только русского или только английского алфавита';
        if (!isset($err) && !preg_match("#^([A-z0-9\_])+$#ui", $_POST['user_url']))
            $err[] = 'В адресе присутствуют запрещенные символы';
        if (!isset($err) && preg_match("#(^\_)|(\_$)#ui", $_POST['user_url']))
            $err[] = 'Запрещено использовать символ "_" в начале и конце ника';

        if (!isset($err) && preg_match("#^([0-9])+$#ui", $_POST['user_url'])) {
            $err[] = 'Адреса состоящие только из цифр запрещены!';
        }
        $n = strtolower($_POST['user_url']);
        if ($n == 'panel' || $n == 'modules/foto' || $n == 'sys' || $n == 'user' || $n == 'style' || $n == 'user/anketa' || $n == 'modules/mini_chat' || $n == 'modules/forum' || $n == 'style' || $n == 'modules/obmen' || $n == 'modules' || $n == 'modules/news' || $n == 'modules/videos') {
            $_SESSION['err'] = 'Данный адрес недоступен!';
        }
    } else {
        $err[] = 'Адрес уже занят!';
    }
} elseif (isset($_POST['user_url']) && $_POST['user_url'] == null) {
    $err[] = 'Введите адрес!';
}
$set['title'] = 'Адрес страницы';
require_once H . 'sys/inc/thead.php';

aut() . err();

if (isset($_POST['user_url'])) {
    if ($user['money'] < $cena) {
        $_SESSION['err'] = "У Вас не хватает $cena рублей";
        header('Location: ?');
    }
}
if (!isset($err) && !isset($_SESSION['err']) && isset($_POST['user_url'])) {
    $_SESSION['message'] = lang('Адрес успешно установлен');

    mysql_query("UPDATE `user` SET `money` = '" . ($user['money'] - $cena) . "' WHERE `id` = '" . $user['id'] . "' LIMIT 1");
    mysql_query("UPDATE `user` SET `user_url` = '" . ($_POST['user_url']) . "' WHERE `id` = '" . $user['id'] . "' LIMIT 1");
    header('Location: ?');
}

#Навигация
echo "<div class='list-group-item-null list-group-item-grey'><small>";
echo "<a href='/' class='hint--right' data-hint='" . lang('На главную') . "'><i class='fa fa-home fa-lg'></i></a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='/?umenu'>" . lang('Кабинет') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo "<a href='/modules/shop/'>" . lang('Магазин') . "</a> <i class='fa fa-angle-right fa-fw'></i> ";
echo lang('Адрес страницы');
echo "</small></div><br />";

echo "<div class='list-group-item-null list-group-item-grey'><i class='fa fa-money fa-fw'></i> " . lang('Рубли') . " <span class='badge'>$user[money]</span></div>";


echo '<form class="list-group-item-null" method="post" action="?act=go">';
echo '<div class="input-group">
  <span class="input-group-addon" id="basic-addon1">http://' . $_SERVER['HTTP_HOST'] . '/</span>
  <input type="text" name="user_url" class="form-control" value="' . $user['user_url'] . '" aria-describedby="basic-addon1">
</div>';
echo "<br />";
$doc->Button('btn btn-success btn-sm', 'save', 'save', 'Сохранить');

echo "<span class='btn btn-secondary btn-sm' style='color:red;'><i class='fa fa-money fa-fw'></i> -$cena " . lang('руб') . ".</span>";
echo '</form>';

echo '<div class="list-group-item-null list-group-item-danger">Разрешено использовать буквы латиницы, символ "_" и цифры.</div>';

require_once H . 'sys/inc/tfoot.php';
